%global srcname zuul-sphinx

Name:           python-%{srcname}
Version:        0.2.1
Release:        4%{?dist}
Summary:        Sphinx extension for Zuul jobs

License:        ASL 2.0
URL:            https://docs.openstack.org/infra/%{srcname}/
Source0:        http://tarballs.openstack.org/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch


%description
A Sphinx extension for documenting Zuul jobs.


%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
Requires:       python3-pbr
Requires:       python3-sphinx
Requires:       python3-PyYAML
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A Sphinx extension for documenting Zuul jobs.


%prep
%setup -qn %{srcname}-%{version}
# Remove bundled eggs
rm -rf *requirements.txt %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/zuul_sphinx-%{version}-py3*.egg-info/
%{python3_sitelib}/zuul_sphinx/


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 29 2017 Tristan Cacqueray <tdecacqu@redhat.com> - 0.2.1-1
- Import from software factory repository
